## merge all year NetCDF to a timeperiod array
Timeperiod_Array = function(folder, parameter){
  
  ## make an empty year array
  timeperiod_array = array(-999,dim=c(680,810,336))
  
  ## go trough every year 
  for (i in 1990:2017){
    print(paste('Working on month:', i))
    
    ## open NETCDF
    ncfname <- paste(input_folder, "/", parameter, toString(i), ".nc", sep="")
    dname <- "tmp"  
    ncin <- nc_open(ncfname)
    tmp.array <- ncvar_get(ncin)

    
    ## fill in timeperiod array
    for (j in 1:12){
      slide_raster = ((i-1990)*12)+j 
      print(slide_raster)
      timeperiod_array[,,slide_raster] = tmp.array[,,j]
    }
    
    ## close NETCDF file
    nc_close(ncin)
  }
  return(timeperiod_array)
}
