## convert day timesteps to month timesteps
Forecast_Array = function(timeperiod_array, lenght_days_month){
  
  ## make tmp_array
  tmp_array = array(NA,dim=c(680,810,7))
  
  ## start and end of the month timestep
  begin = 1
  end = 0
  
  ## go trough the months
  for (date in 1:7){
    
    end = end + lenght_days_month[date]

    ## go trough x coordinates
    for (x in 1:680){
      ## go trough y coordinates
      for (y in 1:810){
        
        ## sum the day values to monthly totals
        tmp_array[x,y,date] = sum(timeperiod_array[x,y,begin:end])
      }
    }
    begin = begin + lenght_days_month[date]    
  }
  return(tmp_array)
} 
