## Convert day arrays to month arrays
Days_to_Months = function(netcdf_array,endingday_month){
  
  ## make an empty year array
  year_array = array(-999,dim=c(680,810,12))
  
  ## go trough  every  month
  for (i in 1:12){
    
    ## print the working procces
    print(paste('Working on month:', i))
    
    ## give all day numbers within a specified month
    if (i == 1){
      days_within_month = seq(from = 1, to = endingday_month[i])
    }
    else{
      days_within_month = seq(from = (endingday_month[i-1])+1, to = endingday_month[i])
    }
    
    ## make month array
    month_array = array(0,dim=c(680,810))
    
    ## go trough all day numbers within a specified month
    for (j in days_within_month){
      ## give array from netcdf for specifice day
      slice <- netcdf_array[,,j]
      ## sum days to month
      month_array = month_array + slice 
    }
    
    ## order all month arrays in a year array
    year_array[,,i]= month_array
  }
  return(year_array)
}



