## convert monthly Netcdf files into a yearly array with montly timesteps
Array_Year = function(folder){
  ## make an empty year array
  year_array = array(-999,dim=c(680,810,12))
  
  ## go trough every month
  for (i in 1:12){
    print(paste('Working on month:', i))
    
    ## open NETCDF
    ncfname <- paste(input_folder, "/", "2017-", toString(i), ".nc", sep="")
    dname <- "tmp"  
    ncin <- nc_open(ncfname)
    tmp.array <- ncvar_get(ncin)  

    ## fill in year array with monthly timestep
    year_array[,,i]= tmp.array
    
    ## close NETCDF file
    nc_close(ncin)
  }
  return(year_array)
}


